/**
 * @file traitement.c
 * @brief Traitement des données depuis les fichiers. Chargement - Sauvegarde
*/

#include "main.h"


int recherche(int val, int tab[], int tlog) // Recherche de l'index d'un id (de client ou d'article)
{
    int i;
    for (i=0, i<tlog, i++)
    {
        if (tab[i] == val)
            return i;
    }
    return -1;
}

void chargeDonnees(int reference[], float weight[], float volume[], float unitPrice[], int clientID[], float cagnotte[], int suspended[])
{
    int tLogArticle, tLogClient;
    chargeArticles(reference, weight, volume, unitPrice);
    chargeClients(clieed);
}ntID, cagnotte, suspend

int chargeArticles(int reference[], float weight[], float volume[], float unitPrice[])
{
    FILE *article;
    article = fopen("articles.txt","r");
    if(article==NULL)
    {
        printf("ERREUR: Echec de l'ouverture en lecture de 'articles.txt'.\n");
        exit(1);
    }

    int ref, tL=0;
    float w, v, up;
    
    fscanf(article, "%d %f %f %f", &ref, &w, &v, &up);
    while(!feof(article))
    {
        if(tL < tmaxArticles)
        {
            printf("Tableau trop petit.\n");
            return tL;
        }

        reference[tL] = ref;
        weight[tL] = w;
        volume[tL] = v;
        unitPrice[tL] = up;

        tL++;

        fscanf(article, "%d %f %f %f", &ref, &w, &v, &up);
    }

    fclose(article);
    return tL;
}

int chargeClients(int clientID[], float cagnotte[], int suspended[])
{
    FILE *client;
    client = fopen("clients.txt","r");
    if(client==NULL)
    {
        printf("ERREUR: Echec de l'ouverture en lecture de 'clients.txt'.\n");
        exit(1);
    }

    int id, sus, tL=0;
    float cag;
    
    fscanf(client, "%d %f %d", &id, &cag, &sus);
    while(!feof(client))
    {
        if(tL < tmaxArticles)
        {
            printf("Tableau trop petit.\n");
            return tL;
        }

        clientID[tL] = id;
        cagnotte[tL] = cag;
        suspended[tL] = sus;

        tL++;

        fscanf(client, "%d %f %d", &id, &cag, &sus);
    }

    fclose(client);
    return tL;
}

void sauvegardeDonnees(int reference[], float weight[], float volume[], float unitPrice[], int clientID[], float cagnotte[], int suspended[])
{
    sauvegardeArticles(reference, weight, volume, unitPrice);
    sauvegardeClients(clientID, cagnotte, suspended);
}